## newmat 1.10.4

=== debian/changelog ===
newmat (1.10.4-8) unstable; urgency=medium

  * Team upload
  * Fix installation using d-shlib
    Closes: #909330

 -- Andreas Tille <tille@debian.org>  Sat, 22 Sep 2018 22:36:52 +0200

newmat (1.10.4-7) unstable; urgency=medium

  * Team upload.
  * debhelper 11 (adapt automake patches to this compat level)
  * Point Vcs fields to salsa.debian.org
  * Remove unneeded Build-Depends
  * d/rules: Short dh commands
  * Fix linking with libtool (Thanks to Adrian Bunk)
    Closes: #906678

 -- Andreas Tille <tille@debian.org>  Mon, 17 Sep 2018 22:31:24 +0200

newmat (1.10.4-6) unstable; urgency=medium

  [ Philippe Coval ]
  * debian/source: Add missing format file (3.0)

  [ Adrian Bunk ]
  * debian/rules: Fix/Workaround for the newmat FTBFS (Closes: #812280)

  [ Philippe Coval ]
  * debian/control: Switch to team maintenance

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 10
  * Added at least authorship to patches as DEP3 headers

 -- Philippe Coval <rzr@gna.org>  Sun, 11 Dec 2016 14:23:04 +0100

newmat (1.10.4-5) unstable; urgency=low

  * debian/control:
    + Updated to latest standards and autotools
    + Updated description
  * debian/rules:
    + clean before unpatch for format "3.0 (quilt)" (Closes: #485106)
    + patch before configure
  * debian/watch:
    + updated to track upcoming version if needed
  * debian/copyright debian/README.Debian:
    + updated and changed maintainer email (sf.net was bouncing)
  * ./*.cpp:
    + include config.h in cpp files (instead of include.h),
      will prevent propagation on config.h defines (LP: #204338)

 -- Philippe Coval <rzr@gna.org>  Sat, 01 Aug 2009 00:56:03 +0200

newmat (1.10.4-4) unstable; urgency=low

  * FIX: debian/watch (Closes: #450048)
  * FIX: conflict with libnewmat10 and provide libnewmat (Closes: #435313)
  * ADD: use quilt for patches

 -- Philippe Coval <rzr@users.sf.net>  Wed, 02 Jan 2008 10:08:32 +0100

newmat (1.10.4-3) unstable; urgency=low

  * ldbl128 transition for alpha, powerpc, sparc, s390. Closes: #430278

 -- Philippe Coval <rzr@users.sf.net>  Sun, 22 Jul 2007 03:01:04 +0200

newmat (1.10.4-2) unstable; urgency=low

  * Closes: #367875 (for g++ 4.1 support)

 -- Philippe Coval <rzr@users.sf.net>  Sat, 20 May 2006 00:01:28 +0200

newmat (1.10.4-1) unstable; urgency=low

  * New upstream release

 -- Philippe Coval <rzr@users.sf.net>  Sat,  6 May 2006 01:09:53 +0200

newmat (1.10.3-1) unstable; urgency=low

  * Initial release Closes: #335185

 -- Philippe Coval <rzr@users.sf.net>  Sat,  1 Apr 2006 12:08:38 +0200
