=== debian/control ===
Source: newmat
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Philippe Coval <rzr@gna.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libltdl7-dev | libltdl-dev,
               d-shlibs
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/newmat
Vcs-Git: https://salsa.debian.org/science-team/newmat.git
Homepage: http://www.robertnz.net/nm_intro.htm

Package: libnewmat10ldbl
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libnewmat10 (<< 1.10.4-3)
Conflicts: libnewmat10
Provides: libnewmat
Description: matrix manipulations library (C++)
 Newmat library is intended for scientists and engineers
 who need to manipulate a variety of types of matrices
 using standard matrix operations.
 Emphasis is on the kind of operations needed in statistical calculations
 such as least squares, linear equation solve and eigenvalues.
 .
 Newmat supports matrix types: Matrix (rectangular matrix);
 UpperTriangularMatrix; LowerTriangularMatrix; DiagonalMatrix;
 SymmetricMatrix; BandMatrix; UpperBandMatrix; LowerBandMatrix;
 SymmetricBandMatrix; IdentityMatrix;
 RowVector; ColumnVector.
 .
 Only one element type (float or double) is supported (default is double).
 .
 The library includes the operations *, +, -, *=, +=, -=, Kronecker product,
 Schur product, concatenation, inverse, transpose, conversion between types,
 submatrix, determinant, Cholesky decomposition, QR triangularisation,
 singular value decomposition, eigenvalues of a symmetric matrix, sorting,
 fast Fourier and trig. transforms and printing.

Package: libnewmat10-dev
Architecture: any
Section: libdevel
Depends: libnewmat10ldbl (= ${binary:Version}),
         ${misc:Depends}
Provides: libnewmat-dev
Conflicts: libnewmat-dev
Description: matrix manipulations library (C++ headers files)
 Newmat library is intended for scientists and engineers
 who need to manipulate a variety of types of matrices
 using standard matrix operations.
 Emphasis is on the kind of operations needed in statistical calculations
 such as least squares, linear equation solve and eigenvalues.
 .
 Newmat supports matrix types: Matrix (rectangular matrix);
 UpperTriangularMatrix; LowerTriangularMatrix; DiagonalMatrix;
 SymmetricMatrix; BandMatrix; UpperBandMatrix; LowerBandMatrix;
 SymmetricBandMatrix; IdentityMatrix;
 RowVector; ColumnVector.
 .
 Only one element type (float or double) is supported (default is double).
 .
 The library includes the operations *, +, -, *=, +=, -=, Kronecker product,
 Schur product, concatenation, inverse, transpose, conversion between types,
 submatrix, determinant, Cholesky decomposition, QR triangularisation,
 singular value decomposition, eigenvalues of a symmetric matrix, sorting,
 fast Fourier and trig. transforms and printing.
 .
 libnewmat-dev contains static libraries, headers, and some documentation.
