=== debian/watch ===
version=3
http://www.robertnz.net/download.html \
  ftp/newmat(.*)\.tar\.gz
